package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.DescontoComissao;

public class RenderDescontoComissao implements ListitemRenderer {
	
	private static NumberFormat NF = DecimalFormat.getInstance(new Locale("pt","br"));
	private static SimpleDateFormat SDF = new SimpleDateFormat("dd/MM/yyyy");
	
    public void render(Listitem lstm, Object o) throws Exception {
        DescontoComissao descontoComissao = (DescontoComissao) o;

        Listcell lc = new Listcell(descontoComissao.getDescontocomissaoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getItemDesconto().getNomitemdesconto() != null ? descontoComissao.getItemDesconto().getNomitemdesconto() : "");
        lc.setParent(lstm);

        NF.setMinimumFractionDigits(2);
        lc = new Listcell(descontoComissao.getPreco() != null ? NF.format(descontoComissao.getPreco()) : "0,00");
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getDatainicial() != null ? SDF.format(descontoComissao.getDatainicial()) : "");
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getDatafinal() != null ? SDF.format(descontoComissao.getDatafinal()) : "");
        lc.setParent(lstm);

        lstm.setAttribute("data", descontoComissao);
    }
}
